speckley/src/Brick.cpp File Reference
`#include <speckley/Brick.h>`
`#include <speckley/DefaultAssembler3D.h>`
`#include <speckley/WaveAssembler3D.h>`
`#include <escript/index.h>`
`#include <escript/FileWriter.h>`
`#include <escript/FunctionSpaceFactory.h>`
`#include <escript/Random.h>`
`#include <boost/scoped_array.hpp>`
`#include <boost/math/special_functions/fpclassify.hpp>`
`#include <iomanip>`
`#include <limits>`

## Namespaces

| speckley

## Macros

#define | RANK_LEFT(__rank__) ((__rank__) % m_NX[0] == 0 ? 0 : 1)
#define | RANK_FRONT(__rank__) ((__rank__) % (m_NX[0]*m_NX[1])/m_NX[0] == 0 ? 0 : 1)
#define | RANK_BELOW(__rank__) ((__rank__) / (m_NX[0]*m_NX[1]) == 0 ? 0 : 1)

## Functions

int | speckley::indexOfMax (dim_t a, dim_t b, dim_t c)

## Macro Definition Documentation

## RANK_BELOW

#define RANK_BELOW | ( |  | __rank__ | ) | ((__rank__) / (m_NX[0]*m_NX[1]) == 0 ? 0 : 1)

Referenced by speckley::Brick::populateSampleIds().

## RANK_FRONT

#define RANK_FRONT | ( |  | __rank__ | ) | ((__rank__) % (m_NX[0]*m_NX[1])/m_NX[0] == 0 ? 0 : 1)

Referenced by speckley::Brick::populateSampleIds().

## RANK_LEFT

#define RANK_LEFT | ( |  | __rank__ | ) | ((__rank__) % m_NX[0] == 0 ? 0 : 1)

Referenced by speckley::Brick::populateSampleIds().